
Redmine - Feature #9776

Adde link(s) to first(last) page for search reult.

2011-12-12 06:43 - Akiko Takano

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

In case search results are so many, it's pretty troublesome to move backward and forward along results.

In some cases, we hope to see these results not in descending but in ascending.

But we have no way to reach the last page directly, so that we must continue to click the "next >>" link   at the foot of the result's

page.

And we also have to do the same to go back to the first page.

Since the results are ordering by event_datetime, I think it's not easy to add pagination number like issue list page.

e.g.

 1 2 3 ... 20 次 » (1-25/389) | 1page: 25, 50, 100

 I hope to adde link(s) to first(last) page for search reult, or switch search order desc and asc at least.

e.g.

 [First] << prev next >> [Last]

Related issues:

Related to Redmine - Feature #18631: Better search results pagination Closed

History

#1 - 2014-12-12 21:55 - Jean-Philippe Lang

- Related to Feature #18631: Better search results pagination added

#2 - 2021-02-06 07:17 - Go MAEDA

- File pagination-link-4_1.png added

- Status changed from New to Closed

- Resolution set to Fixed

In the latest version, the pagination link in the search results page allows you to directly go to the first page or last page. Probably it was changed in 

r11026.

I am closing this issue.
pagination-link-4_1.png 22.3 KB 2021-02-06 Go MAEDA
